Last updates
[scilab.git] / scilab / modules / helptools / Makefile.in
1 # Makefile.in generated by automake 1.11.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
6 # Inc.
7 # This Makefile.in is free software; the Free Software Foundation
8 # gives unlimited permission to copy and/or distribute it,
9 # with or without modifications, as long as this notice is preserved.
10
11 # This program is distributed in the hope that it will be useful,
12 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14 # PARTICULAR PURPOSE.
15
16 @SET_MAKE@
17
18 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
19 # Copyright (C) 2008 - INRIA - Sylvestre LEDRU
20 #
21 # This file is distributed under the same license as the Scilab package.
22
23 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
24 # Copyright (C) 2006-2008 - INRIA - Sylvestre LEDRU <sylvestre.ledru@inria.fr>
25 # Copyright (C) 2008      - INRIA - Pierre MARECHAL <pierre.marechal@inria.fr>
26 #
27 # This file must be used under the terms of the CeCILL.
28 # This source file is licensed as described in the file COPYING, which
29 # you should have received as part of this distribution.  The terms
30 # are also available at
31 # http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
32 #
33
34 ##########
35 ### Makefile included stuff
36 ### Target, variable, suffixes which are supposed to be usefull in every makefile.am
37 ##########
38
39
40 VPATH = @srcdir@
41 pkgdatadir = $(datadir)/@PACKAGE@
42 pkgincludedir = $(includedir)/@PACKAGE@
43 pkglibdir = $(libdir)/@PACKAGE@
44 pkglibexecdir = $(libexecdir)/@PACKAGE@
45 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
46 install_sh_DATA = $(install_sh) -c -m 644
47 install_sh_PROGRAM = $(install_sh) -c
48 install_sh_SCRIPT = $(install_sh) -c
49 INSTALL_HEADER = $(INSTALL_DATA)
50 transform = $(program_transform_name)
51 NORMAL_INSTALL = :
52 PRE_INSTALL = :
53 POST_INSTALL = :
54 NORMAL_UNINSTALL = :
55 PRE_UNINSTALL = :
56 POST_UNINSTALL = :
57 build_triplet = @build@
58 host_triplet = @host@
59 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
60         $(top_srcdir)/Makefile.incl.am
61 @NEED_JAVA_TRUE@am__append_1 = java
62 subdir = modules/helptools
63 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
64 am__aclocal_m4_deps = $(top_srcdir)/m4/backtrace.m4 \
65         $(top_srcdir)/m4/docbook.m4 $(top_srcdir)/m4/fftw.m4 \
66         $(top_srcdir)/m4/fortran.m4 $(top_srcdir)/m4/giws.m4 \
67         $(top_srcdir)/m4/hdf5.m4 $(top_srcdir)/m4/intel_compiler.m4 \
68         $(top_srcdir)/m4/java-thirdparty.m4 $(top_srcdir)/m4/java.m4 \
69         $(top_srcdir)/m4/largefile.m4 $(top_srcdir)/m4/lib-ld.m4 \
70         $(top_srcdir)/m4/libsmath.m4 $(top_srcdir)/m4/libtool.m4 \
71         $(top_srcdir)/m4/libxml2.m4 $(top_srcdir)/m4/ltoptions.m4 \
72         $(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
73         $(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/macosx.m4 \
74         $(top_srcdir)/m4/ocaml.m4 $(top_srcdir)/m4/pcre.m4 \
75         $(top_srcdir)/m4/pkg.m4 $(top_srcdir)/m4/pvm.m4 \
76         $(top_srcdir)/m4/relocatable.m4 $(top_srcdir)/m4/swig.m4 \
77         $(top_srcdir)/m4/symlinks.m4 $(top_srcdir)/m4/tcltk.m4 \
78         $(top_srcdir)/m4/umfpack.m4 $(top_srcdir)/configure.ac
79 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
80         $(ACLOCAL_M4)
81 mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
82 CONFIG_HEADER = $(top_builddir)/modules/core/includes/machine.h
83 CONFIG_CLEAN_FILES =
84 CONFIG_CLEAN_VPATH_FILES =
85 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
86 am__vpath_adj = case $$p in \
87     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
88     *) f=$$p;; \
89   esac;
90 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
91 am__install_max = 40
92 am__nobase_strip_setup = \
93   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
94 am__nobase_strip = \
95   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
96 am__nobase_list = $(am__nobase_strip_setup); \
97   for p in $$list; do echo "$$p $$p"; done | \
98   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
99   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
100     if (++n[$$2] == $(am__install_max)) \
101       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
102     END { for (dir in files) print dir, files[dir] }'
103 am__base_list = \
104   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
105   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
106 am__installdirs = "$(DESTDIR)$(pkglibdir)" \
107         "$(DESTDIR)$(libscihelptools_la_bindir)" \
108         "$(DESTDIR)$(libscihelptools_la_data_configurationdir)" \
109         "$(DESTDIR)$(libscihelptools_la_data_cssdir)" \
110         "$(DESTDIR)$(libscihelptools_la_data_pagesdir)" \
111         "$(DESTDIR)$(libscihelptools_la_data_templatedir)" \
112         "$(DESTDIR)$(libscihelptools_la_etcdir)" \
113         "$(DESTDIR)$(libscihelptools_la_rootdir)" \
114         "$(DESTDIR)$(libscihelptools_la_schemadir)" \
115         "$(DESTDIR)$(libscihelptools_la_sci_gatewaydir)" \
116         "$(DESTDIR)$(libscihelptools_la_xsl_convertdir)" \
117         "$(DESTDIR)$(libscihelptools_la_xsl_fodir)"
118 LTLIBRARIES = $(pkglib_LTLIBRARIES)
119 @BUILD_HELP_TRUE@@GUI_TRUE@libscihelptools_la_DEPENDENCIES = $(top_builddir)/modules/jvm/libscijvm.la
120 am__libscihelptools_la_SOURCES_DIST = sci_gateway/nogui/nogui.c \
121         sci_gateway/c/gw_helptools.c src/jni/BuildDocObject.cpp \
122         src/jni/SciDocMain.cpp src/jni/GiwsException.cpp \
123         sci_gateway/cpp/sci_buildDoc.cpp \
124         sci_gateway/cpp/sci_buildDocv2.cpp
125 @BUILD_HELP_FALSE@@GUI_TRUE@am__objects_1 =  \
126 @BUILD_HELP_FALSE@@GUI_TRUE@    libscihelptools_la-nogui.lo
127 @BUILD_HELP_TRUE@@GUI_TRUE@am__objects_1 =  \
128 @BUILD_HELP_TRUE@@GUI_TRUE@     libscihelptools_la-gw_helptools.lo
129 @GUI_FALSE@am__objects_1 = libscihelptools_la-nogui.lo
130 @BUILD_HELP_TRUE@@GUI_TRUE@am__objects_2 = libscihelptools_la-BuildDocObject.lo \
131 @BUILD_HELP_TRUE@@GUI_TRUE@     libscihelptools_la-SciDocMain.lo \
132 @BUILD_HELP_TRUE@@GUI_TRUE@     libscihelptools_la-GiwsException.lo
133 @BUILD_HELP_TRUE@@GUI_TRUE@am__objects_3 =  \
134 @BUILD_HELP_TRUE@@GUI_TRUE@     libscihelptools_la-sci_buildDoc.lo \
135 @BUILD_HELP_TRUE@@GUI_TRUE@     libscihelptools_la-sci_buildDocv2.lo
136 am_libscihelptools_la_OBJECTS = $(am__objects_1) $(am__objects_2) \
137         $(am__objects_3)
138 libscihelptools_la_OBJECTS = $(am_libscihelptools_la_OBJECTS)
139 libscihelptools_la_LINK = $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) \
140         $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
141         $(CXXFLAGS) $(libscihelptools_la_LDFLAGS) $(LDFLAGS) -o $@
142 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/modules/core/includes
143 depcomp = $(SHELL) $(top_srcdir)/config/depcomp
144 am__depfiles_maybe = depfiles
145 am__mv = mv -f
146 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
147         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
148 LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
149         --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
150         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
151 CCLD = $(CC)
152 LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
153         --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
154         $(LDFLAGS) -o $@
155 CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
156         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
157 LTCXXCOMPILE = $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
158         --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
159         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
160 CXXLD = $(CXX)
161 CXXLINK = $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
162         --mode=link $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(AM_LDFLAGS) \
163         $(LDFLAGS) -o $@
164 SOURCES = $(libscihelptools_la_SOURCES)
165 DIST_SOURCES = $(am__libscihelptools_la_SOURCES_DIST)
166 DATA = $(libscihelptools_la_bin_DATA) \
167         $(libscihelptools_la_data_configuration_DATA) \
168         $(libscihelptools_la_data_css_DATA) \
169         $(libscihelptools_la_data_pages_DATA) \
170         $(libscihelptools_la_data_template_DATA) \
171         $(libscihelptools_la_etc_DATA) $(libscihelptools_la_root_DATA) \
172         $(libscihelptools_la_schema_DATA) \
173         $(libscihelptools_la_sci_gateway_DATA) \
174         $(libscihelptools_la_xsl_convert_DATA) \
175         $(libscihelptools_la_xsl_fo_DATA)
176 ETAGS = etags
177 CTAGS = ctags
178 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
179 ACLOCAL = @ACLOCAL@
180 ALL_LINGUAS = @ALL_LINGUAS@
181 AMTAR = @AMTAR@
182 ANT = @ANT@
183 ANTLR = @ANTLR@
184 AR = @AR@
185 AUTOCONF = @AUTOCONF@
186 AUTOHEADER = @AUTOHEADER@
187 AUTOMAKE = @AUTOMAKE@
188 AVALON_FRAMEWORK = @AVALON_FRAMEWORK@
189 AWK = @AWK@
190 BATIK = @BATIK@
191 BLAS_LIBS = @BLAS_LIBS@
192 BSH = @BSH@
193 CC = @CC@
194 CCDEPMODE = @CCDEPMODE@
195 CFLAGS = @CFLAGS@
196 CHECKSTYLE = @CHECKSTYLE@
197 COMMONS_BEANUTILS = @COMMONS_BEANUTILS@
198 COMMONS_IO = @COMMONS_IO@
199 COMMONS_LOGGING = @COMMONS_LOGGING@
200 CPP = @CPP@
201 CPPFLAGS = @CPPFLAGS@
202 CXX = @CXX@
203 CXXCPP = @CXXCPP@
204 CXXDEPMODE = @CXXDEPMODE@
205 CXXFLAGS = @CXXFLAGS@
206 CYGPATH_W = @CYGPATH_W@
207 DEFS = @DEFS@
208 DEMOTOOLS_ENABLE = @DEMOTOOLS_ENABLE@
209 DEPDIR = @DEPDIR@
210 DOCBOOK_ROOT = @DOCBOOK_ROOT@
211 DSYMUTIL = @DSYMUTIL@
212 DUMPBIN = @DUMPBIN@
213 ECHO_C = @ECHO_C@
214 ECHO_N = @ECHO_N@
215 ECHO_T = @ECHO_T@
216 EGREP = @EGREP@
217 EXEEXT = @EXEEXT@
218 F77 = @F77@
219 FFLAGS = @FFLAGS@
220 FFTW3_LIB = @FFTW3_LIB@
221 FFTW_ENABLE = @FFTW_ENABLE@
222 FGREP = @FGREP@
223 FLEXDOCK = @FLEXDOCK@
224 FLIBS = @FLIBS@
225 FOP = @FOP@
226 GENHTML = @GENHTML@
227 GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
228 GIWS_BIN = @GIWS_BIN@
229 GLUEGEN_RT = @GLUEGEN_RT@
230 GMSGFMT = @GMSGFMT@
231 GMSGFMT_015 = @GMSGFMT_015@
232 GRAPHICS_ENABLE = @GRAPHICS_ENABLE@
233 GREP = @GREP@
234 GUI_ENABLE = @GUI_ENABLE@
235 HDF5_CFLAGS = @HDF5_CFLAGS@
236 HDF5_ENABLE = @HDF5_ENABLE@
237 HDF5_LIBS = @HDF5_LIBS@
238 HELP_ENABLE = @HELP_ENABLE@
239 INSTALL = @INSTALL@
240 INSTALL_DATA = @INSTALL_DATA@
241 INSTALL_PROGRAM = @INSTALL_PROGRAM@
242 INSTALL_SCRIPT = @INSTALL_SCRIPT@
243 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
244 INTLLIBS = @INTLLIBS@
245 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
246 JAR = @JAR@
247 JAVA = @JAVA@
248 JAVAC = @JAVAC@
249 JAVAC_DEBUG = @JAVAC_DEBUG@
250 JAVADOC = @JAVADOC@
251 JAVAH = @JAVAH@
252 JAVASCI_ENABLE = @JAVASCI_ENABLE@
253 JAVA_ENABLE = @JAVA_ENABLE@
254 JAVA_G = @JAVA_G@
255 JAVA_HOME = @JAVA_HOME@
256 JAVA_JNI_INCLUDE = @JAVA_JNI_INCLUDE@
257 JAVA_JNI_LIBS = @JAVA_JNI_LIBS@
258 JDB = @JDB@
259 JEUCLID_CORE = @JEUCLID_CORE@
260 JGRAPHX = @JGRAPHX@
261 JHALL = @JHALL@
262 JHDF5 = @JHDF5@
263 JLATEXMATH = @JLATEXMATH@
264 JLATEXMATH_FOP = @JLATEXMATH_FOP@
265 JOGL = @JOGL@
266 JROSETTA_API = @JROSETTA_API@
267 JROSETTA_ENGINE = @JROSETTA_ENGINE@
268 JUNIT = @JUNIT@
269 LAPACK_LIBS = @LAPACK_LIBS@
270 LCOV = @LCOV@
271 LD = @LD@
272 LDFLAGS = @LDFLAGS@
273 LIBICONV = @LIBICONV@
274 LIBINTL = @LIBINTL@
275 LIBM = @LIBM@
276 LIBOBJS = @LIBOBJS@
277 LIBS = @LIBS@
278 LIBTOOL = @LIBTOOL@
279 LIPO = @LIPO@
280 LN_S = @LN_S@
281 LOOKS = @LOOKS@
282 LTLIBICONV = @LTLIBICONV@
283 LTLIBINTL = @LTLIBINTL@
284 LTLIBOBJS = @LTLIBOBJS@
285 MAINT = @MAINT@
286 MAKEINFO = @MAKEINFO@
287 MATIO_CFLAGS = @MATIO_CFLAGS@
288 MATIO_ENABLE = @MATIO_ENABLE@
289 MATIO_LIBS = @MATIO_LIBS@
290 MKDIR_P = @MKDIR_P@
291 MSGCAT = @MSGCAT@
292 MSGFMT = @MSGFMT@
293 MSGFMT_015 = @MSGFMT_015@
294 MSGMERGE = @MSGMERGE@
295 NM = @NM@
296 NMEDIT = @NMEDIT@
297 OBJDUMP = @OBJDUMP@
298 OBJEXT = @OBJEXT@
299 OCAMLC = @OCAMLC@
300 OCAMLDEP = @OCAMLDEP@
301 OCAMLLEX = @OCAMLLEX@
302 OCAMLOPT = @OCAMLOPT@
303 OCAMLYACC = @OCAMLYACC@
304 OPENMP_CFLAGS = @OPENMP_CFLAGS@
305 OPENMP_CXXFLAGS = @OPENMP_CXXFLAGS@
306 OPENMP_ENABLE = @OPENMP_ENABLE@
307 OPENMP_LIBS = @OPENMP_LIBS@
308 OTOOL = @OTOOL@
309 OTOOL64 = @OTOOL64@
310 PACKAGE = @PACKAGE@
311 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
312 PACKAGE_NAME = @PACKAGE_NAME@
313 PACKAGE_STRING = @PACKAGE_STRING@
314 PACKAGE_TARNAME = @PACKAGE_TARNAME@
315 PACKAGE_URL = @PACKAGE_URL@
316 PACKAGE_VERSION = @PACKAGE_VERSION@
317 PATH_SEPARATOR = @PATH_SEPARATOR@
318 PCRE_CFLAGS = @PCRE_CFLAGS@
319 PCRE_CONFIG = @PCRE_CONFIG@
320 PCRE_LIBS = @PCRE_LIBS@
321 PCRE_VERSION = @PCRE_VERSION@
322 PKG_CONFIG = @PKG_CONFIG@
323 POSUB = @POSUB@
324 POW_LIB = @POW_LIB@
325 PVMGETARCH = @PVMGETARCH@
326 PVM_ARCH = @PVM_ARCH@
327 PVM_ENABLE = @PVM_ENABLE@
328 PVM_INCLUDE = @PVM_INCLUDE@
329 PVM_LIB = @PVM_LIB@
330 PYTHON = @PYTHON@
331 QDOX = @QDOX@
332 RANLIB = @RANLIB@
333 RELOCATABLE = @RELOCATABLE@
334 RT_LIB = @RT_LIB@
335 SAXON = @SAXON@
336 SCILAB_BINARY_VERSION = @SCILAB_BINARY_VERSION@
337 SCILAB_LIBRARY_VERSION = @SCILAB_LIBRARY_VERSION@
338 SCILAB_VERSION_MAINTENANCE = @SCILAB_VERSION_MAINTENANCE@
339 SCILAB_VERSION_MAJOR = @SCILAB_VERSION_MAJOR@
340 SCILAB_VERSION_MINOR = @SCILAB_VERSION_MINOR@
341 SED = @SED@
342 SET_MAKE = @SET_MAKE@
343 SET_RELOCATABLE = @SET_RELOCATABLE@
344 SHELL = @SHELL@
345 SKINLF = @SKINLF@
346 SPLINT = @SPLINT@
347 STRIP = @STRIP@
348 SWIG_BIN = @SWIG_BIN@
349 SWIG_JAVA = @SWIG_JAVA@
350 SWIG_RUNTIME_LIBS_DIR = @SWIG_RUNTIME_LIBS_DIR@
351 TCLTK_LIBS = @TCLTK_LIBS@
352 TCL_INC_PATH = @TCL_INC_PATH@
353 TESTNG = @TESTNG@
354 TK_INC_PATH = @TK_INC_PATH@
355 UMFPACK_ENABLE = @UMFPACK_ENABLE@
356 UMFPACK_LIB = @UMFPACK_LIB@
357 USE_NLS = @USE_NLS@
358 VERSION = @VERSION@
359 WITH_OCAML = @WITH_OCAML@
360 WITH_TKSCI = @WITH_TKSCI@
361 XCOS_ENABLE = @XCOS_ENABLE@
362 XGETTEXT = @XGETTEXT@
363 XGETTEXT_015 = @XGETTEXT_015@
364 XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
365 XMKMF = @XMKMF@
366 XMLGRAPHICS_COMMONS = @XMLGRAPHICS_COMMONS@
367 XML_APIS_EXT = @XML_APIS_EXT@
368 XML_CONFIG = @XML_CONFIG@
369 XML_FLAGS = @XML_FLAGS@
370 XML_LIBS = @XML_LIBS@
371 XML_VERSION = @XML_VERSION@
372 X_CFLAGS = @X_CFLAGS@
373 X_EXTRA_LIBS = @X_EXTRA_LIBS@
374 X_LIBS = @X_LIBS@
375 X_PRE_LIBS = @X_PRE_LIBS@
376 abs_builddir = @abs_builddir@
377 abs_srcdir = @abs_srcdir@
378 abs_top_builddir = @abs_top_builddir@
379 abs_top_srcdir = @abs_top_srcdir@
380 ac_ct_CC = @ac_ct_CC@
381 ac_ct_CXX = @ac_ct_CXX@
382 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
383 ac_ct_F77 = @ac_ct_F77@
384 am__include = @am__include@
385 am__leading_dot = @am__leading_dot@
386 am__quote = @am__quote@
387 am__tar = @am__tar@
388 am__untar = @am__untar@
389 bindir = @bindir@
390 build = @build@
391 build_alias = @build_alias@
392 build_cpu = @build_cpu@
393 build_os = @build_os@
394 build_vendor = @build_vendor@
395 builddir = @builddir@
396 cxx_present = @cxx_present@
397 datadir = @datadir@
398 datarootdir = @datarootdir@
399 docdir = @docdir@
400 dvidir = @dvidir@
401 exec_prefix = @exec_prefix@
402 host = @host@
403 host_alias = @host_alias@
404 host_cpu = @host_cpu@
405 host_os = @host_os@
406 host_vendor = @host_vendor@
407 htmldir = @htmldir@
408 includedir = @includedir@
409 infodir = @infodir@
410 install_sh = @install_sh@
411 libdir = @libdir@
412 libexecdir = @libexecdir@
413 localedir = @localedir@
414 localstatedir = @localstatedir@
415 mandir = @mandir@
416 mkdir_p = @mkdir_p@
417 oldincludedir = @oldincludedir@
418 pdfdir = @pdfdir@
419 prefix = @prefix@
420 program_transform_name = @program_transform_name@
421 psdir = @psdir@
422 sbindir = @sbindir@
423 sharedstatedir = @sharedstatedir@
424 srcdir = @srcdir@
425 sysconfdir = @sysconfdir@
426 target_alias = @target_alias@
427 top_build_prefix = @top_build_prefix@
428 top_builddir = @top_builddir@
429 top_srcdir = @top_srcdir@
430 @BUILD_HELP_TRUE@@GUI_TRUE@USEANT = 1
431 @BUILD_HELP_TRUE@@GUI_TRUE@HELPTOOLS_SOURCES = src/jni/BuildDocObject.cpp \
432 @BUILD_HELP_TRUE@@GUI_TRUE@     src/jni/SciDocMain.cpp \
433 @BUILD_HELP_TRUE@@GUI_TRUE@     src/jni/GiwsException.cpp
434
435 @BUILD_HELP_FALSE@@GUI_TRUE@GATEWAY_C_SOURCES = sci_gateway/nogui/nogui.c
436 @BUILD_HELP_TRUE@@GUI_TRUE@GATEWAY_C_SOURCES = sci_gateway/c/gw_helptools.c
437 @GUI_FALSE@GATEWAY_C_SOURCES = sci_gateway/nogui/nogui.c
438 @BUILD_HELP_TRUE@@GUI_TRUE@GATEWAY_CPP_SOURCES = sci_gateway/cpp/sci_buildDoc.cpp \
439 @BUILD_HELP_TRUE@@GUI_TRUE@     sci_gateway/cpp/sci_buildDocv2.cpp
440
441 @BUILD_HELP_TRUE@@GUI_TRUE@GIWS_WRAPPERS = src/jni/BuildDocObject.giws.xml \
442 @BUILD_HELP_TRUE@@GUI_TRUE@     src/jni/BuildDocObjectv2.giws.xml
443
444 @BUILD_HELP_TRUE@@GUI_TRUE@libscihelptools_la_LIBADD = $(top_builddir)/modules/jvm/libscijvm.la
445 @BUILD_HELP_TRUE@@GIWS_TRUE@@GUI_TRUE@BUILT_SOURCES = giws
446 pkglib_LTLIBRARIES = libscihelptools.la
447 libscihelptools_la_CFLAGS = -I$(srcdir)/includes/ \
448                                 -I$(top_srcdir)/modules/output_stream/includes/ \
449                                 -I$(top_srcdir)/modules/api_scilab/includes \
450                                 -I$(top_srcdir)/modules/jvm/includes
451
452 libscihelptools_la_CPPFLAGS = $(JAVA_JNI_INCLUDE) \
453                                 -I$(srcdir)/src/jni/ \
454                                 -I$(srcdir)/includes/ \
455                                 -I$(top_srcdir)/modules/jvm/includes \
456                                 -I$(top_srcdir)/modules/api_scilab/includes \
457                                 -I$(top_srcdir)/modules/output_stream/includes/
458
459 libscihelptools_la_LDFLAGS = -version-number $(SCILAB_LIBRARY_VERSION)
460 libscihelptools_la_SOURCES = $(GATEWAY_C_SOURCES) $(HELPTOOLS_SOURCES) $(GATEWAY_CPP_SOURCES)
461
462 # For the code check (splint)
463 CHECK_SRC = $(GATEWAY_C_SOURCES)
464 INCLUDE_FLAGS = $(libscihelptools_la_CFLAGS)
465
466 #### Target ######
467 modulename = helptools
468
469 #### helptools : Conf files ####
470 libscihelptools_la_rootdir = $(mydatadir)
471 libscihelptools_la_root_DATA = license.txt version.xml
472
473 #### helptools : init scripts ####
474 libscihelptools_la_etcdir = $(mydatadir)/etc
475 libscihelptools_la_etc_DATA = etc/helptools.quit etc/helptools.start etc/MAIN_CHAPTERS etc/fopconf.xml etc/SciDocConf.xml
476
477 #### helptools : bin files ####
478 libscihelptools_la_bindir = $(mydatadir)/bin
479 libscihelptools_la_bin_DATA = bin/scivalid \
480 bin/man2sci \
481 bin/manrev2sci
482
483
484 #### helptools : gateway declaration ####
485 libscihelptools_la_sci_gatewaydir = $(mydatadir)/sci_gateway
486 libscihelptools_la_sci_gateway_DATA = sci_gateway/helptools_gateway.xml
487
488 #### New documentation generation system
489 libscihelptools_la_data_configurationdir = $(mydatadir)/data/configuration
490 libscihelptools_la_data_configuration_DATA = data/configuration/scilab_primitives.txt \
491 data/configuration/scilab_macros.txt
492
493 libscihelptools_la_data_templatedir = $(mydatadir)/data/template
494 libscihelptools_la_data_template_DATA = data/template/template_javahelp.html
495 libscihelptools_la_data_cssdir = $(mydatadir)/data/css
496 libscihelptools_la_data_css_DATA = data/css/scilab_code.css \
497 data/css/c_code.css \
498 data/css/xml_code.css \
499 data/css/style.css
500
501
502 #### helptools : xsl files ####
503 libscihelptools_la_xsl_convertdir = $(mydatadir)/xsl/convert
504 libscihelptools_la_xsl_convert_DATA = \
505 xsl/convert/man2manrev.xsl \
506 xsl/convert/manrev2sci.xsl
507
508 libscihelptools_la_xsl_fodir = $(mydatadir)/xsl/fo
509 libscihelptools_la_xsl_fo_DATA = xsl/fo/docbook.xsl
510
511 #### helptools : schema files ####
512 libscihelptools_la_schemadir = $(mydatadir)/schema
513 libscihelptools_la_schema_DATA = schema/scilab.rnc \
514 schema/extendedStyle.xsl
515
516
517 #### helptools : pages files ####
518 libscihelptools_la_data_pagesdir = $(mydatadir)/data/pages
519 libscihelptools_la_data_pages_DATA = data/pages/error.html \
520 data/pages/homepage-en_US.html \
521 data/pages/homepage-fr_FR.html \
522 data/pages/ban-en_US.png \
523 data/pages/ban-fr_FR.png
524
525
526 # Where all the Scilab stuff is installed (macros, help, ...)
527 mydatadir = $(pkgdatadir)/modules/$(modulename)
528
529 # splint options
530 SPLINT_OPTIONS = -weak -booltype BOOL
531
532 ########################### JAVA ######################################
533 #### We are delegating java compilation to ant... Thanks to that
534 #### the procedure will be the same with Microsoft Windows (C)
535 #### and Linux/Unix
536 #######################################################################
537 TARGETS_ALL = $(am__append_1)
538
539 ################ MACROS ######################
540 # Rule to build a macro
541 # NOT USED  AT THE MOMENT
542 SUFFIXES = .sci 
543
544 ########### INSTALL DOCUMENTATION ###################
545
546 # Install documentation files into the right target
547 # We do not use the automake mechanism (libxxxx_la_help_fr_DATA) because
548 # automake needs the html files to be present which is not the case when
549 # we are building Scilab
550
551 # Where it should be installed
552 pkgdocdir = $(mydatadir)
553
554 # What is the mask of the help source
555 DOCMASKXML = *.xml
556
557 # What is the mask of the MathML sources
558 DOCMASKMML = *.mml
559
560 ########### INSTALL DATA ###################
561 # Install macros, help & demos
562 # Where it should be installed
563 pkgmacrosdir = $(mydatadir)
564 # Which directory we process
565 MACRODIRS = macros/
566 # Mask of the Scilab sources macros
567 MACROMASK = *.sci
568 # Mask of the Scilab executable sources macros
569 MACROBUILDMASK = *.sce
570 # Mask of the Scilab compiled macros
571 MACROBINMASK = *.bin
572 # List of the standard directory for tests
573 TESTS_DIR = tests/benchmarks tests/nonreg_tests tests/unit_tests tests/java
574 # Where the demos should be installed
575 pkgdemosdir = $(mydatadir)
576 # List of the standard directory for demos
577 DEMOS_DIR = demos
578 # List of the standard directory for examples
579 EXAMPLES_DIR = examples
580 # Where to export JAVA archives (.jar)
581 JARDIR = jar/
582 # JAR files mask
583 JARMASK = *.jar
584 # Chapter file 
585 HELP_CHAPTERDIR = help/
586 HELP_CHAPTERFILE = addchapter.sce
587 HELP_CHAPTERLANG = en_US fr_FR pt_BR
588 all: $(BUILT_SOURCES)
589         $(MAKE) $(AM_MAKEFLAGS) all-am
590
591 .SUFFIXES:
592 .SUFFIXES: .sci .bin .c .cpp .lo .o .obj
593 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.incl.am $(am__configure_deps)
594         @for dep in $?; do \
595           case '$(am__configure_deps)' in \
596             *$$dep*) \
597               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
598                 && { if test -f $@; then exit 0; else break; fi; }; \
599               exit 1;; \
600           esac; \
601         done; \
602         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign modules/helptools/Makefile'; \
603         $(am__cd) $(top_srcdir) && \
604           $(AUTOMAKE) --foreign modules/helptools/Makefile
605 .PRECIOUS: Makefile
606 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
607         @case '$?' in \
608           *config.status*) \
609             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
610           *) \
611             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
612             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
613         esac;
614
615 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
616         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
617
618 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
619         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
620 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
621         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
622 $(am__aclocal_m4_deps):
623 install-pkglibLTLIBRARIES: $(pkglib_LTLIBRARIES)
624         @$(NORMAL_INSTALL)
625         test -z "$(pkglibdir)" || $(MKDIR_P) "$(DESTDIR)$(pkglibdir)"
626         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
627         list2=; for p in $$list; do \
628           if test -f $$p; then \
629             list2="$$list2 $$p"; \
630           else :; fi; \
631         done; \
632         test -z "$$list2" || { \
633           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(pkglibdir)'"; \
634           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(pkglibdir)"; \
635         }
636
637 uninstall-pkglibLTLIBRARIES:
638         @$(NORMAL_UNINSTALL)
639         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
640         for p in $$list; do \
641           $(am__strip_dir) \
642           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(pkglibdir)/$$f'"; \
643           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(pkglibdir)/$$f"; \
644         done
645
646 clean-pkglibLTLIBRARIES:
647         -test -z "$(pkglib_LTLIBRARIES)" || rm -f $(pkglib_LTLIBRARIES)
648         @list='$(pkglib_LTLIBRARIES)'; for p in $$list; do \
649           dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
650           test "$$dir" != "$$p" || dir=.; \
651           echo "rm -f \"$${dir}/so_locations\""; \
652           rm -f "$${dir}/so_locations"; \
653         done
654 libscihelptools.la: $(libscihelptools_la_OBJECTS) $(libscihelptools_la_DEPENDENCIES) 
655         $(libscihelptools_la_LINK) -rpath $(pkglibdir) $(libscihelptools_la_OBJECTS) $(libscihelptools_la_LIBADD) $(LIBS)
656
657 mostlyclean-compile:
658         -rm -f *.$(OBJEXT)
659
660 distclean-compile:
661         -rm -f *.tab.c
662
663 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscihelptools_la-BuildDocObject.Plo@am__quote@
664 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscihelptools_la-GiwsException.Plo@am__quote@
665 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscihelptools_la-SciDocMain.Plo@am__quote@
666 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscihelptools_la-gw_helptools.Plo@am__quote@
667 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscihelptools_la-nogui.Plo@am__quote@
668 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscihelptools_la-sci_buildDoc.Plo@am__quote@
669 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscihelptools_la-sci_buildDocv2.Plo@am__quote@
670
671 .c.o:
672 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
673 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
674 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
675 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
676 @am__fastdepCC_FALSE@   $(COMPILE) -c $<
677
678 .c.obj:
679 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
680 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
681 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
682 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
683 @am__fastdepCC_FALSE@   $(COMPILE) -c `$(CYGPATH_W) '$<'`
684
685 .c.lo:
686 @am__fastdepCC_TRUE@    $(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
687 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
688 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
689 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
690 @am__fastdepCC_FALSE@   $(LTCOMPILE) -c -o $@ $<
691
692 libscihelptools_la-nogui.lo: sci_gateway/nogui/nogui.c
693 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscihelptools_la_CPPFLAGS) $(CPPFLAGS) $(libscihelptools_la_CFLAGS) $(CFLAGS) -MT libscihelptools_la-nogui.lo -MD -MP -MF $(DEPDIR)/libscihelptools_la-nogui.Tpo -c -o libscihelptools_la-nogui.lo `test -f 'sci_gateway/nogui/nogui.c' || echo '$(srcdir)/'`sci_gateway/nogui/nogui.c
694 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscihelptools_la-nogui.Tpo $(DEPDIR)/libscihelptools_la-nogui.Plo
695 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/nogui/nogui.c' object='libscihelptools_la-nogui.lo' libtool=yes @AMDEPBACKSLASH@
696 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
697 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscihelptools_la_CPPFLAGS) $(CPPFLAGS) $(libscihelptools_la_CFLAGS) $(CFLAGS) -c -o libscihelptools_la-nogui.lo `test -f 'sci_gateway/nogui/nogui.c' || echo '$(srcdir)/'`sci_gateway/nogui/nogui.c
698
699 libscihelptools_la-gw_helptools.lo: sci_gateway/c/gw_helptools.c
700 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscihelptools_la_CPPFLAGS) $(CPPFLAGS) $(libscihelptools_la_CFLAGS) $(CFLAGS) -MT libscihelptools_la-gw_helptools.lo -MD -MP -MF $(DEPDIR)/libscihelptools_la-gw_helptools.Tpo -c -o libscihelptools_la-gw_helptools.lo `test -f 'sci_gateway/c/gw_helptools.c' || echo '$(srcdir)/'`sci_gateway/c/gw_helptools.c
701 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscihelptools_la-gw_helptools.Tpo $(DEPDIR)/libscihelptools_la-gw_helptools.Plo
702 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/gw_helptools.c' object='libscihelptools_la-gw_helptools.lo' libtool=yes @AMDEPBACKSLASH@
703 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
704 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscihelptools_la_CPPFLAGS) $(CPPFLAGS) $(libscihelptools_la_CFLAGS) $(CFLAGS) -c -o libscihelptools_la-gw_helptools.lo `test -f 'sci_gateway/c/gw_helptools.c' || echo '$(srcdir)/'`sci_gateway/c/gw_helptools.c
705
706 .cpp.o:
707 @am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
708 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
709 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
710 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
711 @am__fastdepCXX_FALSE@  $(CXXCOMPILE) -c -o $@ $<
712
713 .cpp.obj:
714 @am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
715 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
716 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
717 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
718 @am__fastdepCXX_FALSE@  $(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
719
720 .cpp.lo:
721 @am__fastdepCXX_TRUE@   $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
722 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
723 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
724 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
725 @am__fastdepCXX_FALSE@  $(LTCXXCOMPILE) -c -o $@ $<
726
727 libscihelptools_la-BuildDocObject.lo: src/jni/BuildDocObject.cpp
728 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscihelptools_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscihelptools_la-BuildDocObject.lo -MD -MP -MF $(DEPDIR)/libscihelptools_la-BuildDocObject.Tpo -c -o libscihelptools_la-BuildDocObject.lo `test -f 'src/jni/BuildDocObject.cpp' || echo '$(srcdir)/'`src/jni/BuildDocObject.cpp
729 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libscihelptools_la-BuildDocObject.Tpo $(DEPDIR)/libscihelptools_la-BuildDocObject.Plo
730 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='src/jni/BuildDocObject.cpp' object='libscihelptools_la-BuildDocObject.lo' libtool=yes @AMDEPBACKSLASH@
731 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
732 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscihelptools_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscihelptools_la-BuildDocObject.lo `test -f 'src/jni/BuildDocObject.cpp' || echo '$(srcdir)/'`src/jni/BuildDocObject.cpp
733
734 libscihelptools_la-SciDocMain.lo: src/jni/SciDocMain.cpp
735 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscihelptools_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscihelptools_la-SciDocMain.lo -MD -MP -MF $(DEPDIR)/libscihelptools_la-SciDocMain.Tpo -c -o libscihelptools_la-SciDocMain.lo `test -f 'src/jni/SciDocMain.cpp' || echo '$(srcdir)/'`src/jni/SciDocMain.cpp
736 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libscihelptools_la-SciDocMain.Tpo $(DEPDIR)/libscihelptools_la-SciDocMain.Plo
737 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='src/jni/SciDocMain.cpp' object='libscihelptools_la-SciDocMain.lo' libtool=yes @AMDEPBACKSLASH@
738 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
739 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscihelptools_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscihelptools_la-SciDocMain.lo `test -f 'src/jni/SciDocMain.cpp' || echo '$(srcdir)/'`src/jni/SciDocMain.cpp
740
741 libscihelptools_la-GiwsException.lo: src/jni/GiwsException.cpp
742 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscihelptools_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscihelptools_la-GiwsException.lo -MD -MP -MF $(DEPDIR)/libscihelptools_la-GiwsException.Tpo -c -o libscihelptools_la-GiwsException.lo `test -f 'src/jni/GiwsException.cpp' || echo '$(srcdir)/'`src/jni/GiwsException.cpp
743 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libscihelptools_la-GiwsException.Tpo $(DEPDIR)/libscihelptools_la-GiwsException.Plo
744 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='src/jni/GiwsException.cpp' object='libscihelptools_la-GiwsException.lo' libtool=yes @AMDEPBACKSLASH@
745 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
746 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscihelptools_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscihelptools_la-GiwsException.lo `test -f 'src/jni/GiwsException.cpp' || echo '$(srcdir)/'`src/jni/GiwsException.cpp
747
748 libscihelptools_la-sci_buildDoc.lo: sci_gateway/cpp/sci_buildDoc.cpp
749 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscihelptools_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscihelptools_la-sci_buildDoc.lo -MD -MP -MF $(DEPDIR)/libscihelptools_la-sci_buildDoc.Tpo -c -o libscihelptools_la-sci_buildDoc.lo `test -f 'sci_gateway/cpp/sci_buildDoc.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_buildDoc.cpp
750 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libscihelptools_la-sci_buildDoc.Tpo $(DEPDIR)/libscihelptools_la-sci_buildDoc.Plo
751 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='sci_gateway/cpp/sci_buildDoc.cpp' object='libscihelptools_la-sci_buildDoc.lo' libtool=yes @AMDEPBACKSLASH@
752 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
753 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscihelptools_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscihelptools_la-sci_buildDoc.lo `test -f 'sci_gateway/cpp/sci_buildDoc.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_buildDoc.cpp
754
755 libscihelptools_la-sci_buildDocv2.lo: sci_gateway/cpp/sci_buildDocv2.cpp
756 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscihelptools_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscihelptools_la-sci_buildDocv2.lo -MD -MP -MF $(DEPDIR)/libscihelptools_la-sci_buildDocv2.Tpo -c -o libscihelptools_la-sci_buildDocv2.lo `test -f 'sci_gateway/cpp/sci_buildDocv2.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_buildDocv2.cpp
757 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libscihelptools_la-sci_buildDocv2.Tpo $(DEPDIR)/libscihelptools_la-sci_buildDocv2.Plo
758 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='sci_gateway/cpp/sci_buildDocv2.cpp' object='libscihelptools_la-sci_buildDocv2.lo' libtool=yes @AMDEPBACKSLASH@
759 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
760 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscihelptools_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscihelptools_la-sci_buildDocv2.lo `test -f 'sci_gateway/cpp/sci_buildDocv2.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_buildDocv2.cpp
761
762 mostlyclean-libtool:
763         -rm -f *.lo
764
765 clean-libtool:
766         -rm -rf .libs _libs
767 install-libscihelptools_la_binDATA: $(libscihelptools_la_bin_DATA)
768         @$(NORMAL_INSTALL)
769         test -z "$(libscihelptools_la_bindir)" || $(MKDIR_P) "$(DESTDIR)$(libscihelptools_la_bindir)"
770         @list='$(libscihelptools_la_bin_DATA)'; test -n "$(libscihelptools_la_bindir)" || list=; \
771         for p in $$list; do \
772           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
773           echo "$$d$$p"; \
774         done | $(am__base_list) | \
775         while read files; do \
776           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscihelptools_la_bindir)'"; \
777           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscihelptools_la_bindir)" || exit $$?; \
778         done
779
780 uninstall-libscihelptools_la_binDATA:
781         @$(NORMAL_UNINSTALL)
782         @list='$(libscihelptools_la_bin_DATA)'; test -n "$(libscihelptools_la_bindir)" || list=; \
783         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
784         test -n "$$files" || exit 0; \
785         echo " ( cd '$(DESTDIR)$(libscihelptools_la_bindir)' && rm -f" $$files ")"; \
786         cd "$(DESTDIR)$(libscihelptools_la_bindir)" && rm -f $$files
787 install-libscihelptools_la_data_configurationDATA: $(libscihelptools_la_data_configuration_DATA)
788         @$(NORMAL_INSTALL)
789         test -z "$(libscihelptools_la_data_configurationdir)" || $(MKDIR_P) "$(DESTDIR)$(libscihelptools_la_data_configurationdir)"
790         @list='$(libscihelptools_la_data_configuration_DATA)'; test -n "$(libscihelptools_la_data_configurationdir)" || list=; \
791         for p in $$list; do \
792           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
793           echo "$$d$$p"; \
794         done | $(am__base_list) | \
795         while read files; do \
796           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscihelptools_la_data_configurationdir)'"; \
797           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscihelptools_la_data_configurationdir)" || exit $$?; \
798         done
799
800 uninstall-libscihelptools_la_data_configurationDATA:
801         @$(NORMAL_UNINSTALL)
802         @list='$(libscihelptools_la_data_configuration_DATA)'; test -n "$(libscihelptools_la_data_configurationdir)" || list=; \
803         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
804         test -n "$$files" || exit 0; \
805         echo " ( cd '$(DESTDIR)$(libscihelptools_la_data_configurationdir)' && rm -f" $$files ")"; \
806         cd "$(DESTDIR)$(libscihelptools_la_data_configurationdir)" && rm -f $$files
807 install-libscihelptools_la_data_cssDATA: $(libscihelptools_la_data_css_DATA)
808         @$(NORMAL_INSTALL)
809         test -z "$(libscihelptools_la_data_cssdir)" || $(MKDIR_P) "$(DESTDIR)$(libscihelptools_la_data_cssdir)"
810         @list='$(libscihelptools_la_data_css_DATA)'; test -n "$(libscihelptools_la_data_cssdir)" || list=; \
811         for p in $$list; do \
812           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
813           echo "$$d$$p"; \
814         done | $(am__base_list) | \
815         while read files; do \
816           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscihelptools_la_data_cssdir)'"; \
817           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscihelptools_la_data_cssdir)" || exit $$?; \
818         done
819
820 uninstall-libscihelptools_la_data_cssDATA:
821         @$(NORMAL_UNINSTALL)
822         @list='$(libscihelptools_la_data_css_DATA)'; test -n "$(libscihelptools_la_data_cssdir)" || list=; \
823         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
824         test -n "$$files" || exit 0; \
825         echo " ( cd '$(DESTDIR)$(libscihelptools_la_data_cssdir)' && rm -f" $$files ")"; \
826         cd "$(DESTDIR)$(libscihelptools_la_data_cssdir)" && rm -f $$files
827 install-libscihelptools_la_data_pagesDATA: $(libscihelptools_la_data_pages_DATA)
828         @$(NORMAL_INSTALL)
829         test -z "$(libscihelptools_la_data_pagesdir)" || $(MKDIR_P) "$(DESTDIR)$(libscihelptools_la_data_pagesdir)"
830         @list='$(libscihelptools_la_data_pages_DATA)'; test -n "$(libscihelptools_la_data_pagesdir)" || list=; \
831         for p in $$list; do \
832           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
833           echo "$$d$$p"; \
834         done | $(am__base_list) | \
835         while read files; do \
836           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscihelptools_la_data_pagesdir)'"; \
837           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscihelptools_la_data_pagesdir)" || exit $$?; \
838         done
839
840 uninstall-libscihelptools_la_data_pagesDATA:
841         @$(NORMAL_UNINSTALL)
842         @list='$(libscihelptools_la_data_pages_DATA)'; test -n "$(libscihelptools_la_data_pagesdir)" || list=; \
843         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
844         test -n "$$files" || exit 0; \
845         echo " ( cd '$(DESTDIR)$(libscihelptools_la_data_pagesdir)' && rm -f" $$files ")"; \
846         cd "$(DESTDIR)$(libscihelptools_la_data_pagesdir)" && rm -f $$files
847 install-libscihelptools_la_data_templateDATA: $(libscihelptools_la_data_template_DATA)
848         @$(NORMAL_INSTALL)
849         test -z "$(libscihelptools_la_data_templatedir)" || $(MKDIR_P) "$(DESTDIR)$(libscihelptools_la_data_templatedir)"
850         @list='$(libscihelptools_la_data_template_DATA)'; test -n "$(libscihelptools_la_data_templatedir)" || list=; \
851         for p in $$list; do \
852           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
853           echo "$$d$$p"; \
854         done | $(am__base_list) | \
855         while read files; do \
856           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscihelptools_la_data_templatedir)'"; \
857           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscihelptools_la_data_templatedir)" || exit $$?; \
858         done
859
860 uninstall-libscihelptools_la_data_templateDATA:
861         @$(NORMAL_UNINSTALL)
862         @list='$(libscihelptools_la_data_template_DATA)'; test -n "$(libscihelptools_la_data_templatedir)" || list=; \
863         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
864         test -n "$$files" || exit 0; \
865         echo " ( cd '$(DESTDIR)$(libscihelptools_la_data_templatedir)' && rm -f" $$files ")"; \
866         cd "$(DESTDIR)$(libscihelptools_la_data_templatedir)" && rm -f $$files
867 install-libscihelptools_la_etcDATA: $(libscihelptools_la_etc_DATA)
868         @$(NORMAL_INSTALL)
869         test -z "$(libscihelptools_la_etcdir)" || $(MKDIR_P) "$(DESTDIR)$(libscihelptools_la_etcdir)"
870         @list='$(libscihelptools_la_etc_DATA)'; test -n "$(libscihelptools_la_etcdir)" || list=; \
871         for p in $$list; do \
872           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
873           echo "$$d$$p"; \
874         done | $(am__base_list) | \
875         while read files; do \
876           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscihelptools_la_etcdir)'"; \
877           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscihelptools_la_etcdir)" || exit $$?; \
878         done
879
880 uninstall-libscihelptools_la_etcDATA:
881         @$(NORMAL_UNINSTALL)
882         @list='$(libscihelptools_la_etc_DATA)'; test -n "$(libscihelptools_la_etcdir)" || list=; \
883         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
884         test -n "$$files" || exit 0; \
885         echo " ( cd '$(DESTDIR)$(libscihelptools_la_etcdir)' && rm -f" $$files ")"; \
886         cd "$(DESTDIR)$(libscihelptools_la_etcdir)" && rm -f $$files
887 install-libscihelptools_la_rootDATA: $(libscihelptools_la_root_DATA)
888         @$(NORMAL_INSTALL)
889         test -z "$(libscihelptools_la_rootdir)" || $(MKDIR_P) "$(DESTDIR)$(libscihelptools_la_rootdir)"
890         @list='$(libscihelptools_la_root_DATA)'; test -n "$(libscihelptools_la_rootdir)" || list=; \
891         for p in $$list; do \
892           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
893           echo "$$d$$p"; \
894         done | $(am__base_list) | \
895         while read files; do \
896           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscihelptools_la_rootdir)'"; \
897           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscihelptools_la_rootdir)" || exit $$?; \
898         done
899
900 uninstall-libscihelptools_la_rootDATA:
901         @$(NORMAL_UNINSTALL)
902         @list='$(libscihelptools_la_root_DATA)'; test -n "$(libscihelptools_la_rootdir)" || list=; \
903         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
904         test -n "$$files" || exit 0; \
905         echo " ( cd '$(DESTDIR)$(libscihelptools_la_rootdir)' && rm -f" $$files ")"; \
906         cd "$(DESTDIR)$(libscihelptools_la_rootdir)" && rm -f $$files
907 install-libscihelptools_la_schemaDATA: $(libscihelptools_la_schema_DATA)
908         @$(NORMAL_INSTALL)
909         test -z "$(libscihelptools_la_schemadir)" || $(MKDIR_P) "$(DESTDIR)$(libscihelptools_la_schemadir)"
910         @list='$(libscihelptools_la_schema_DATA)'; test -n "$(libscihelptools_la_schemadir)" || list=; \
911         for p in $$list; do \
912           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
913           echo "$$d$$p"; \
914         done | $(am__base_list) | \
915         while read files; do \
916           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscihelptools_la_schemadir)'"; \
917           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscihelptools_la_schemadir)" || exit $$?; \
918         done
919
920 uninstall-libscihelptools_la_schemaDATA:
921         @$(NORMAL_UNINSTALL)
922         @list='$(libscihelptools_la_schema_DATA)'; test -n "$(libscihelptools_la_schemadir)" || list=; \
923         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
924         test -n "$$files" || exit 0; \
925         echo " ( cd '$(DESTDIR)$(libscihelptools_la_schemadir)' && rm -f" $$files ")"; \
926         cd "$(DESTDIR)$(libscihelptools_la_schemadir)" && rm -f $$files
927 install-libscihelptools_la_sci_gatewayDATA: $(libscihelptools_la_sci_gateway_DATA)
928         @$(NORMAL_INSTALL)
929         test -z "$(libscihelptools_la_sci_gatewaydir)" || $(MKDIR_P) "$(DESTDIR)$(libscihelptools_la_sci_gatewaydir)"
930         @list='$(libscihelptools_la_sci_gateway_DATA)'; test -n "$(libscihelptools_la_sci_gatewaydir)" || list=; \
931         for p in $$list; do \
932           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
933           echo "$$d$$p"; \
934         done | $(am__base_list) | \
935         while read files; do \
936           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscihelptools_la_sci_gatewaydir)'"; \
937           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscihelptools_la_sci_gatewaydir)" || exit $$?; \
938         done
939
940 uninstall-libscihelptools_la_sci_gatewayDATA:
941         @$(NORMAL_UNINSTALL)
942         @list='$(libscihelptools_la_sci_gateway_DATA)'; test -n "$(libscihelptools_la_sci_gatewaydir)" || list=; \
943         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
944         test -n "$$files" || exit 0; \
945         echo " ( cd '$(DESTDIR)$(libscihelptools_la_sci_gatewaydir)' && rm -f" $$files ")"; \
946         cd "$(DESTDIR)$(libscihelptools_la_sci_gatewaydir)" && rm -f $$files
947 install-libscihelptools_la_xsl_convertDATA: $(libscihelptools_la_xsl_convert_DATA)
948         @$(NORMAL_INSTALL)
949         test -z "$(libscihelptools_la_xsl_convertdir)" || $(MKDIR_P) "$(DESTDIR)$(libscihelptools_la_xsl_convertdir)"
950         @list='$(libscihelptools_la_xsl_convert_DATA)'; test -n "$(libscihelptools_la_xsl_convertdir)" || list=; \
951         for p in $$list; do \
952           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
953           echo "$$d$$p"; \
954         done | $(am__base_list) | \
955         while read files; do \
956           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscihelptools_la_xsl_convertdir)'"; \
957           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscihelptools_la_xsl_convertdir)" || exit $$?; \
958         done
959
960 uninstall-libscihelptools_la_xsl_convertDATA:
961         @$(NORMAL_UNINSTALL)
962         @list='$(libscihelptools_la_xsl_convert_DATA)'; test -n "$(libscihelptools_la_xsl_convertdir)" || list=; \
963         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
964         test -n "$$files" || exit 0; \
965         echo " ( cd '$(DESTDIR)$(libscihelptools_la_xsl_convertdir)' && rm -f" $$files ")"; \
966         cd "$(DESTDIR)$(libscihelptools_la_xsl_convertdir)" && rm -f $$files
967 install-libscihelptools_la_xsl_foDATA: $(libscihelptools_la_xsl_fo_DATA)
968         @$(NORMAL_INSTALL)
969         test -z "$(libscihelptools_la_xsl_fodir)" || $(MKDIR_P) "$(DESTDIR)$(libscihelptools_la_xsl_fodir)"
970         @list='$(libscihelptools_la_xsl_fo_DATA)'; test -n "$(libscihelptools_la_xsl_fodir)" || list=; \
971         for p in $$list; do \
972           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
973           echo "$$d$$p"; \
974         done | $(am__base_list) | \
975         while read files; do \
976           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscihelptools_la_xsl_fodir)'"; \
977           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscihelptools_la_xsl_fodir)" || exit $$?; \
978         done
979
980 uninstall-libscihelptools_la_xsl_foDATA:
981         @$(NORMAL_UNINSTALL)
982         @list='$(libscihelptools_la_xsl_fo_DATA)'; test -n "$(libscihelptools_la_xsl_fodir)" || list=; \
983         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
984         test -n "$$files" || exit 0; \
985         echo " ( cd '$(DESTDIR)$(libscihelptools_la_xsl_fodir)' && rm -f" $$files ")"; \
986         cd "$(DESTDIR)$(libscihelptools_la_xsl_fodir)" && rm -f $$files
987
988 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
989         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
990         unique=`for i in $$list; do \
991             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
992           done | \
993           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
994               END { if (nonempty) { for (i in files) print i; }; }'`; \
995         mkid -fID $$unique
996 tags: TAGS
997
998 TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
999                 $(TAGS_FILES) $(LISP)
1000         set x; \
1001         here=`pwd`; \
1002         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
1003         unique=`for i in $$list; do \
1004             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
1005           done | \
1006           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
1007               END { if (nonempty) { for (i in files) print i; }; }'`; \
1008         shift; \
1009         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
1010           test -n "$$unique" || unique=$$empty_fix; \
1011           if test $$# -gt 0; then \
1012             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1013               "$$@" $$unique; \
1014           else \
1015             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1016               $$unique; \
1017           fi; \
1018         fi
1019 ctags: CTAGS
1020 CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
1021                 $(TAGS_FILES) $(LISP)
1022         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
1023         unique=`for i in $$list; do \
1024             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
1025           done | \
1026           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
1027               END { if (nonempty) { for (i in files) print i; }; }'`; \
1028         test -z "$(CTAGS_ARGS)$$unique" \
1029           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
1030              $$unique
1031
1032 GTAGS:
1033         here=`$(am__cd) $(top_builddir) && pwd` \
1034           && $(am__cd) $(top_srcdir) \
1035           && gtags -i $(GTAGS_ARGS) "$$here"
1036
1037 distclean-tags:
1038         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
1039
1040 distdir: $(DISTFILES)
1041         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1042         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1043         list='$(DISTFILES)'; \
1044           dist_files=`for file in $$list; do echo $$file; done | \
1045           sed -e "s|^$$srcdirstrip/||;t" \
1046               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1047         case $$dist_files in \
1048           */*) $(MKDIR_P) `echo "$$dist_files" | \
1049                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1050                            sort -u` ;; \
1051         esac; \
1052         for file in $$dist_files; do \
1053           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1054           if test -d $$d/$$file; then \
1055             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1056             if test -d "$(distdir)/$$file"; then \
1057               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1058             fi; \
1059             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1060               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1061               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1062             fi; \
1063             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1064           else \
1065             test -f "$(distdir)/$$file" \
1066             || cp -p $$d/$$file "$(distdir)/$$file" \
1067             || exit 1; \
1068           fi; \
1069         done
1070 check-am: all-am
1071         $(MAKE) $(AM_MAKEFLAGS) check-local
1072 check: $(BUILT_SOURCES)
1073         $(MAKE) $(AM_MAKEFLAGS) check-am
1074 all-am: Makefile $(LTLIBRARIES) $(DATA) all-local
1075 installdirs:
1076         for dir in "$(DESTDIR)$(pkglibdir)" "$(DESTDIR)$(libscihelptools_la_bindir)" "$(DESTDIR)$(libscihelptools_la_data_configurationdir)" "$(DESTDIR)$(libscihelptools_la_data_cssdir)" "$(DESTDIR)$(libscihelptools_la_data_pagesdir)" "$(DESTDIR)$(libscihelptools_la_data_templatedir)" "$(DESTDIR)$(libscihelptools_la_etcdir)" "$(DESTDIR)$(libscihelptools_la_rootdir)" "$(DESTDIR)$(libscihelptools_la_schemadir)" "$(DESTDIR)$(libscihelptools_la_sci_gatewaydir)" "$(DESTDIR)$(libscihelptools_la_xsl_convertdir)" "$(DESTDIR)$(libscihelptools_la_xsl_fodir)"; do \
1077           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1078         done
1079 install: $(BUILT_SOURCES)
1080         $(MAKE) $(AM_MAKEFLAGS) install-am
1081 install-exec: install-exec-am
1082 install-data: install-data-am
1083 uninstall: uninstall-am
1084
1085 install-am: all-am
1086         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1087
1088 installcheck: installcheck-am
1089 install-strip:
1090         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1091           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1092           `test -z '$(STRIP)' || \
1093             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
1094 mostlyclean-generic:
1095
1096 clean-generic:
1097
1098 distclean-generic:
1099         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1100         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1101
1102 maintainer-clean-generic:
1103         @echo "This command is intended for maintainers to use"
1104         @echo "it deletes files that may require special tools to rebuild."
1105         -test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
1106 clean: clean-am
1107
1108 clean-am: clean-generic clean-libtool clean-local \
1109         clean-pkglibLTLIBRARIES mostlyclean-am
1110
1111 distclean: distclean-am
1112         -rm -rf ./$(DEPDIR)
1113         -rm -f Makefile
1114 distclean-am: clean-am distclean-compile distclean-generic \
1115         distclean-local distclean-tags
1116
1117 dvi: dvi-am
1118
1119 dvi-am:
1120
1121 html: html-am
1122
1123 html-am:
1124
1125 info: info-am
1126
1127 info-am:
1128
1129 install-data-am: install-data-local install-libscihelptools_la_binDATA \
1130         install-libscihelptools_la_data_configurationDATA \
1131         install-libscihelptools_la_data_cssDATA \
1132         install-libscihelptools_la_data_pagesDATA \
1133         install-libscihelptools_la_data_templateDATA \
1134         install-libscihelptools_la_etcDATA \
1135         install-libscihelptools_la_rootDATA \
1136         install-libscihelptools_la_schemaDATA \
1137         install-libscihelptools_la_sci_gatewayDATA \
1138         install-libscihelptools_la_xsl_convertDATA \
1139         install-libscihelptools_la_xsl_foDATA
1140
1141 install-dvi: install-dvi-am
1142
1143 install-dvi-am:
1144
1145 install-exec-am: install-pkglibLTLIBRARIES
1146
1147 install-html: install-html-am
1148
1149 install-html-am: install-html-local
1150
1151 install-info: install-info-am
1152
1153 install-info-am:
1154
1155 install-man:
1156
1157 install-pdf: install-pdf-am
1158
1159 install-pdf-am:
1160
1161 install-ps: install-ps-am
1162
1163 install-ps-am:
1164
1165 installcheck-am:
1166
1167 maintainer-clean: maintainer-clean-am
1168         -rm -rf ./$(DEPDIR)
1169         -rm -f Makefile
1170 maintainer-clean-am: distclean-am maintainer-clean-generic
1171
1172 mostlyclean: mostlyclean-am
1173
1174 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1175         mostlyclean-libtool
1176
1177 pdf: pdf-am
1178
1179 pdf-am:
1180
1181 ps: ps-am
1182
1183 ps-am:
1184
1185 uninstall-am: uninstall-libscihelptools_la_binDATA \
1186         uninstall-libscihelptools_la_data_configurationDATA \
1187         uninstall-libscihelptools_la_data_cssDATA \
1188         uninstall-libscihelptools_la_data_pagesDATA \
1189         uninstall-libscihelptools_la_data_templateDATA \
1190         uninstall-libscihelptools_la_etcDATA \
1191         uninstall-libscihelptools_la_rootDATA \
1192         uninstall-libscihelptools_la_schemaDATA \
1193         uninstall-libscihelptools_la_sci_gatewayDATA \
1194         uninstall-libscihelptools_la_xsl_convertDATA \
1195         uninstall-libscihelptools_la_xsl_foDATA \
1196         uninstall-pkglibLTLIBRARIES
1197
1198 .MAKE: all check check-am install install-am install-strip
1199
1200 .PHONY: CTAGS GTAGS all all-am all-local check check-am check-local \
1201         clean clean-generic clean-libtool clean-local \
1202         clean-pkglibLTLIBRARIES ctags distclean distclean-compile \
1203         distclean-generic distclean-libtool distclean-local \
1204         distclean-tags distdir dvi dvi-am html html-am info info-am \
1205         install install-am install-data install-data-am \
1206         install-data-local install-dvi install-dvi-am install-exec \
1207         install-exec-am install-html install-html-am \
1208         install-html-local install-info install-info-am \
1209         install-libscihelptools_la_binDATA \
1210         install-libscihelptools_la_data_configurationDATA \
1211         install-libscihelptools_la_data_cssDATA \
1212         install-libscihelptools_la_data_pagesDATA \
1213         install-libscihelptools_la_data_templateDATA \
1214         install-libscihelptools_la_etcDATA \
1215         install-libscihelptools_la_rootDATA \
1216         install-libscihelptools_la_schemaDATA \
1217         install-libscihelptools_la_sci_gatewayDATA \
1218         install-libscihelptools_la_xsl_convertDATA \
1219         install-libscihelptools_la_xsl_foDATA install-man install-pdf \
1220         install-pdf-am install-pkglibLTLIBRARIES install-ps \
1221         install-ps-am install-strip installcheck installcheck-am \
1222         installdirs maintainer-clean maintainer-clean-generic \
1223         mostlyclean mostlyclean-compile mostlyclean-generic \
1224         mostlyclean-libtool pdf pdf-am ps ps-am tags uninstall \
1225         uninstall-am uninstall-libscihelptools_la_binDATA \
1226         uninstall-libscihelptools_la_data_configurationDATA \
1227         uninstall-libscihelptools_la_data_cssDATA \
1228         uninstall-libscihelptools_la_data_pagesDATA \
1229         uninstall-libscihelptools_la_data_templateDATA \
1230         uninstall-libscihelptools_la_etcDATA \
1231         uninstall-libscihelptools_la_rootDATA \
1232         uninstall-libscihelptools_la_schemaDATA \
1233         uninstall-libscihelptools_la_sci_gatewayDATA \
1234         uninstall-libscihelptools_la_xsl_convertDATA \
1235         uninstall-libscihelptools_la_xsl_foDATA \
1236         uninstall-pkglibLTLIBRARIES
1237
1238
1239 # This target enables tests for Scilab
1240 check-local: $(top_builddir)/scilab-bin test
1241         @COMMAND="test_run('$(modulename)');quit";\
1242         export LANG=C;\
1243         $(top_builddir)/bin/scilab -nwni -nb -e "$$COMMAND"
1244 check-code:
1245         if test -f build.xml; then \
1246                 $(ANT) checkstyle; \
1247         fi
1248         if test -x "$(SPLINT)"; then \
1249                 $(SPLINT) $(SPLINT_OPTIONS) -I$(top_srcdir)/modules/core/includes/ -I$(top_srcdir)/libs/MALLOC/includes/ -I$(top_srcdir)/modules/localization/includes/ $(INCLUDE_FLAGS) $(CHECK_SRC); \
1250         fi
1251 @NEED_JAVA_TRUE@java:
1252 # Some configurations needs to export JAVA_HOME in the current env
1253 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1254 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1255 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1256 @NEED_JAVA_TRUE@                $(ANT); \
1257 @NEED_JAVA_TRUE@        fi
1258
1259 @NEED_JAVA_TRUE@clean-java:
1260 # Some configurations needs to export JAVA_HOME in the current env
1261 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1262 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1263 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1264 @NEED_JAVA_TRUE@                $(ANT) clean; \
1265 @NEED_JAVA_TRUE@        fi;
1266
1267 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1268 # We call the target swig-build on the variable SWIG_WRAPPERS
1269
1270 @SWIG_TRUE@swig: $(SWIG_WRAPPERS)
1271 @SWIG_TRUE@     @SWIG_PACKAGENAME=org.scilab.modules.$(modulename); \
1272 @SWIG_TRUE@     SWIG_OUTDIR=src/java/org/scilab/modules/$(modulename)/; \
1273 @SWIG_TRUE@     if test -n "$(SWIG_WRAPPERS)"; then \
1274 @SWIG_TRUE@             for file in $(SWIG_WRAPPERS) ; do \
1275 @SWIG_TRUE@                     echo "Swig process of $$file ..."; \
1276 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_JAVA) -package $$SWIG_PACKAGENAME  -outdir $$SWIG_OUTDIR $$file; \
1277 @SWIG_TRUE@             done; \
1278 @SWIG_TRUE@     fi
1279
1280 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1281 # We call the target swig-build on the variable SWIG_WRAPPERS
1282
1283 @GIWS_TRUE@giws: $(GIWS_WRAPPERS)
1284 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1285 @GIWS_TRUE@     if test -n "$(GIWS_WRAPPERS)"; then \
1286 @GIWS_TRUE@             for file in $(GIWS_WRAPPERS) ; do \
1287 @GIWS_TRUE@                     echo "GIWS process of $$file ..."; \
1288 @GIWS_TRUE@                     $(GIWS_BIN) --disable-return-size-array --output-dir $$GIWS_OUTPUTDIR --throws-exception-on-error --description-file $$file; \
1289 @GIWS_TRUE@             done; \
1290 @GIWS_TRUE@     fi
1291
1292 macros:
1293         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1294                 echo "Error : Cannot build $< : Scilab has not been built"; \
1295         else \
1296                 $(top_builddir)/bin/scilab -ns -nwni -e "exec('macros/buildmacros.sce');quit;";\
1297         fi)
1298
1299 # Removes the macros
1300 clean-macros:
1301 # Removes macros (*.bin generated from .sci)
1302         @for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1303                 echo "rm -f $(builddir)/$$dir/$(MACROBINMASK)"; \
1304                 rm -f $(builddir)/$$dir/$(MACROBINMASK); \
1305         done
1306
1307 test:
1308 # More tests could be added here
1309         @if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1310         if test -f build.xml -a $$USEANT -eq 1; then \
1311                 $(ANT) test; \
1312         fi
1313
1314 all-local: $(TARGETS_ALL)
1315
1316 .sci.bin:
1317         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1318         echo "Error : Cannot build $< : Scilab has not been build"; \
1319         else \
1320         echo "Creating $@"; \
1321         $(top_builddir)/bin/scilab -ns -nwni -e "exec('$(abs_srcdir)/$<');save('$(abs_srcdir)/$@');exit;"; \
1322         fi )
1323
1324 install-html-local:
1325
1326 install-data-local-local:
1327 # Mainly for javasci
1328         @if test -d $(srcdir)/javadoc; then \
1329                 cp -R $(srcdir)/javadoc $(DESTDIR)/$(mydatadir)/; \
1330         fi
1331 # If the user wants the help sources to be installed
1332 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of XML sources of help files --------"; \
1333 @INSTALL_HELP_XML_TRUE@ for lang in $(ALL_LINGUAS); do \
1334 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/$$lang; then \
1335 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/$$lang && \
1336 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/$$lang/$(DOCMASKXML) >/dev/null 2>&1; then \
1337 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/$$lang/$(DOCMASKXML) ; do \
1338 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/$$lang" ; \
1339 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/$$lang ; \
1340 @INSTALL_HELP_XML_TRUE@           done ; \
1341 @INSTALL_HELP_XML_TRUE@         fi; \
1342 @INSTALL_HELP_XML_TRUE@  fi; \
1343 @INSTALL_HELP_XML_TRUE@ done; \
1344 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of MathML sources --------"; \
1345 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/mml/; then \
1346 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/mml/ && \
1347 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/mml/$(DOCMASKMML) >/dev/null 2>&1; then \
1348 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/mml/$(DOCMASKMML) ; do \
1349 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/mml" ; \
1350 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/mml ; \
1351 @INSTALL_HELP_XML_TRUE@           done ; \
1352 @INSTALL_HELP_XML_TRUE@         fi; \
1353 @INSTALL_HELP_XML_TRUE@ fi
1354 install-data-local:
1355 # Install the tests
1356         @echo "-------- Install tests (if any) --------"; \
1357         for dir in $(TESTS_DIR) $(TESTS_DIREXT) ; do \
1358           if test -d $(srcdir)/$$dir/; then \
1359             $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1360                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1361                     if test -d "$(srcdir)/$$dir/$$file"; then \
1362                           echo $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir/$$file; \
1363                           $(mkinstalldirs) "$(DESTDIR)$(pkgmacrosdir)/$$dir/$$file"; \
1364                     else \
1365                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1366                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1367                     fi \
1368                   done; \
1369           fi; \
1370         done
1371 # Install the help chapter
1372         @echo "-------- Install the help chapter (if any) --------"; \
1373         for lang in $(HELP_CHAPTERLANG); do \
1374                 HELPFILE=$(srcdir)/$(HELP_CHAPTERDIR)$$lang/$(HELP_CHAPTERFILE); \
1375                 if test -f $$HELPFILE; then \
1376                         echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1377                         $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1378                         echo $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1379                         $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1380                 fi; \
1381         done
1382 # Install the demos & examples
1383         @echo "-------- Install demos & examples (if any) --------"; \
1384         for dir in $(DEMOS_DIR) $(DEMOS_DIREXT) $(EXAMPLES_DIR) $(EXAMPLES_DIREXT) ; do \
1385           if test -d $(srcdir)/$$dir/; then \
1386             $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir && \
1387                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1388                     if test -d "$(srcdir)/$$dir/$$file"; then \
1389                           echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir/$$file; \
1390                           $(mkinstalldirs) "$(DESTDIR)$(pkgdocdir)/$$dir/$$file"; \
1391                     else \
1392                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1393                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1394                     fi \
1395                   done; \
1396           fi; \
1397         done
1398 # Install the macros
1399         @echo "-------- Install macros (if any) --------"; \
1400         for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1401           $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1402                 if test -d $(srcdir)/$$dir/; then \
1403                         FILELIST="$(srcdir)/$$dir/$(MACROMASK) $(srcdir)/$$dir/$(MACROBINMASK) $(srcdir)/$$dir/$(MACROBUILDMASK) $(srcdir)/$$dir/names $(srcdir)/$$dir/lib";\
1404                         if test -n "$(MACROSSPECIALEXT)"; then \
1405                                 specialExtDir=""; \
1406                                 for specialExt in $(MACROSSPECIALEXT); do \
1407                                         specialExtDir="$$specialExtDir $(srcdir)/$$dir/$$specialExt"; \
1408                                 done; \
1409                                 FILELIST="$$FILELIST $$specialExtDir"; \
1410                         fi; \
1411                   for file in `ls -1 $$FILELIST 2>/dev/null`; do \
1412                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgmacrosdir)/$$dir" ; \
1413                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgmacrosdir)/$$dir ; \
1414                   done; \
1415                 fi; \
1416         done
1417 # Install java files (.jar)
1418         @if ls -lLd $(srcdir)/$(JARDIR)$(JARMASK) >/dev/null 2>&1; then \
1419         echo "-------- Install jar files --------"; \
1420     $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(JARDIR); \
1421           for file in $(srcdir)/$(JARDIR)$(JARMASK); do\
1422                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/$(JARDIR)" ; \
1423                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/$(JARDIR) ; \
1424           done ; \
1425         fi
1426
1427 ########### CLEAN ###################
1428 # Clean help (generated automatically by Scilab)
1429 # It used to clean the macro (clean-macros) but this was causing
1430 # make clean && make to fail Scilab startup
1431 @NEED_JAVA_TRUE@clean-local: clean-java
1432 @NEED_JAVA_FALSE@clean-local:
1433
1434 distclean-local:
1435         rm -f $(builddir)/help/*/.last_successful_build_javaHelp $(builddir)/help/*/.list_*
1436
1437 .PHONY: macros java swig giws
1438
1439 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1440 # Otherwise a system limit (for SysV at least) may be exceeded.
1441 .NOEXPORT: